Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.util
Class ParameterUtil

    java.lang.Object
      org.wso2.wsas.util.ParameterUtil

    public class ParameterUtil

extends java.lang.Object

Utility class to manipulate Axis2 parameters

Constructor Summary
`ParameterUtil()`

Method Summary
`static org.apache.axis2.description.Parameter` | `createParameter(org.apache.axiom.om.OMElement parameterElement)` Create an Axis2 parameter using the given OMElement
`static org.apache.axis2.description.Parameter` | `createParameter(java.lang.String name, java.lang.String value)` Create an Axis2 operation based on key and value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParameterUtil

    public ParameterUtil()

Method Detail

### createParameter

    public static org.apache.axis2.description.Parameter createParameter(org.apache.axiom.om.OMElement parameterElement)
                                                                  throws org.apache.axis2.AxisFault

  Create an Axis2 parameter using the given OMElement

  Parameters:
    `parameterElement` - The OMElement of the parameter
  Returns:
    Axis2 parameter with an the given OMElement
  Throws:
    `org.apache.axis2.AxisFault` - If the `parameterElement` is malformed

### createParameter

    public static org.apache.axis2.description.Parameter createParameter(java.lang.String name,
                                                                         java.lang.String value)
                                                                  throws org.apache.axis2.AxisFault

  Create an Axis2 operation based on key and value.

  Parameters:
    `name` -
    `value` -
  Returns:
    Parameter
  Throws:
    `org.apache.axis2.AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD